
/* disable Action Replay support by commenting this out */
#define ACTION_REPLAY
/* disable HRTMon support by commenting this out */
/* #define ACTION_REPLAY_HRTMON */

/* disable Action Replay ROM/RAM hide by commenting this out */
#define ACTION_REPLAY_HIDE_CARTRIDGE

#define ACTION_REPLAY_INACTIVE -2
#define ACTION_REPLAY_WAITRESET -1
#define ACTION_REPLAY_IDLE 1
#define ACTION_REPLAY_ACTIVATE 2
#define ACTION_REPLAY_ACTIVE 3
#define ACTION_REPLAY_DORESET 4
#define ACTION_REPLAY_HIDE 5

extern void action_replay_freeze(void);

extern int action_replay_flag;

extern void action_replay_enter(void);
extern void action_replay_ciaread(void);
extern void action_replay_hide(void);
extern void action_replay_reset(void);
extern int action_replay_load(int);
extern void action_replay_chipwrite(void);

extern uae_u8 *armemory;

extern int hrtmon_flag;

extern void hrtmon_enter(void);
extern void hrtmon_breakenter(void);
extern void hrtmon_ciaread(void);
extern void hrtmon_hide(void);
extern void hrtmon_reset(void);
extern int hrtmon_load (int);

extern uae_u8 *hrtmemory;
extern uae_u32 hrtmem_start, hrtmem_size;

extern uae_u8 ar_custom[2*256];
